@use "sass:math";
$colrev: column-reverse;
$minimum-height: 100vh;
$primary: #130032;
$secondary: rgb(255, 242, 0);
@use "nav";
@use "banner";
@mixin flexCenter($direction: row) {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
}
*,
*::before,
*::after {
  margin: 0;
  box-sizing: border-box;
}
.active {
  border-bottom: nav.$basic-border;
}
.container {
  min-height: $minimum-height;
  background-color: $primary;
  @include flexCenter(column);
  .content {
    height: 100px;
    width: 25%;
    background-color: $secondary;
  }
}

%basic-message {
    border: 10px solid #ccc;
    padding: 10px;
    color: #333;
    font-size: 2rem;
}

.success {
    @extend %basic-message;
    border-color: green;
}
.error {
    @extend %basic-message;
    border-color: red;
}
.warning {
    @extend %basic-message;
    border-color: yellow;
}